<?php
!defined('P_W') && exit('Forbidden');
require_once MODE . '/base/frontcontroller.php';
class PublicController extends FrontController {
	var $_dianpu;
	
	function _before() {
		parent::_before();
		$this->_setPartial($this->_getPublicTemplate());
		$this->_viewer->mode = $this->_getGlobal('db_mode');
		$this->_viewer->siteName = $this->_getGlobal($this->_viewer->mode.'_sitename');
		$this->_dainpuHelper = DP::loadClass('dianpuhelper', 'helper');
		return true;
	}
	
	function _getPublicTemplate(){
		return TEMPLATE_VIEWER.'default/';
	}

}
?>